<script lang="ts">
  import Submit from './submit.svelte';

  import { isDarkMode } from '@/utils';

  export let file: File | null = null;
  //eslint-disable-next-line @typescript-eslint/no-explicit-any
  export let uploadExtras: Record<string, any> | null = null;
  export let contentType: string | null = null;
</script>

<!-- svelte-ignore a11y-click-events-have-key-events -->
<div class="modal">
  <div class="content" style="background-color: {isDarkMode() ? 'black' : 'white'}">
    <div class="close" style="text-align:right;">
      <i
        class="fa fa-2x fa-solid fa-xmark-circle clickable"
        style="padding:5px;height:20px;"
        role="button"
        tabindex="0"
        on:click|self
      />
    </div>
    <Submit {file} {uploadExtras} {contentType} />
  </div>
</div>

<style>
  .modal {
    background-color: rgba(0, 0, 0, 0.4);
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vb;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .content {
    color: currentColor;
    min-width: 30vw;
    min-height: 30vh;
    padding: 10px;
    border-radius: 4px;
  }
</style>
